@import 'variables';

.header-wrap {
    height: 90px;
    position: fixed;
    z-index: 2;
    width: 100%;
    display: flex;
    flex-direction: column;
    background: $headerGreen;
    @media screen and (min-width: $tablet) {
        height: 40px;
    }
    @media screen and (min-width: $sDesktop) {
        height: 66px;
    }
    @media screen and (min-width: $Desktop) {
        height: 100px;
    }
    header {
        height: 90px;
        background: $headerGreen;
        display: flex;
        align-items: center;
        justify-content: space-between;
        align-self: center;
        width: 100%;
        @media screen and (min-width: $tablet) {
            height: 40px;
            padding: 0;
        }
        @media screen and (min-width: $sDesktop) {
            height: 66px;
        }
        @media screen and (min-width: $Desktop) {
            height: 100px;
        }
        .header-left {
            height: 55.6px;
            img {
                height: 55.6px;
                width: 136px;
            }
            @media screen and (min-width: $tablet) {
                height: 22.5px;
                img {
                    height: 22.5px;
                    width: 55px;
                }
            }
            @media screen and (min-width: $sDesktop) {
                height: 36px;
                img {
                    height: 36px;
                    width: 88px;
                }
            }
            @media screen and (min-width: $Desktop) {
                height: 55.64px;
                img {
                    height: 55.64px;
                    width: 136px;
                }
            }
        }

        .header-right {
            nav {
                ul {
                    display: flex;
                    align-items: center;
                    li {
                        display: flex;
                        margin: 5px;
                        border-bottom: 1px solid transparent;
                        transition: border 0.2s ease;
                        @media screen and (min-width: $sDesktop) {
                            margin: 0 15px;
                        }
                        @media screen and (min-width: $Desktop) {
                            margin: 0 20px;
                        }
                        &:nth-last-child(-n + 2) {
                            border-bottom: none;
                        }
                        &:hover {
                            border-bottom: 1px solid $btnColor;
                            &:nth-last-child(-n + 2) {
                                border-bottom: none;
                            }
                        }
                        button {
                            cursor: pointer;
                            font-size: 12px;
                            background: transparent;
                            border: none;
                            color: $fontLightColor;
                            @media screen and (min-width: $sDesktop) {
                                font-size: 12px;
                            }
                            @media screen and (min-width: $Desktop) {
                                font-size: 16px;
                            }
                        }
                        .btn {
                            margin: 0 20px 0 12.5px;
                            width: 99px;
                            height: 18px;
                            border-radius: 4px;
                            font-size: 10px;
                            @media screen and (min-width: $sDesktop) {
                                margin: 0 24px 0 12.5px;
                                width: 160px;
                                height: 30px;
                                font-size: 13px;
                            }
                            @media screen and (min-width: $Desktop) {
                                margin: 0 36px 0 50px;
                                width: 244px;
                                height: 44px;
                                font-size: 16px;
                            }
                        }
                    }
                    .media {
                        display: flex;
                        align-items: center;
                        svg {
                            margin-right: 1px;
                            cursor: pointer;
                            @media screen and (min-width: $sDesktop) {
                                margin-right: 9px;
                                width: 20px;
                                height: 20px;
                            }
                            @media screen and (min-width: $Desktop) {
                                width: 30px;
                                height: 30px;
                                margin-right: 15px;
                            }
                        }
                        a {
                            font-size: 11px;
                            color: $fontLightColor;
                            width: unset;
                            height: unset;
                            margin: 0 5px;
                            @media screen and (min-width: $sDesktop) {
                                font-size: 13px;
                            }
                            @media screen and (min-width: $Desktop) {
                                font-size: 16px;
                            }
                        }
                    }
                }
                @media screen and (max-width: $mobileMax) {
                    display: none;
                }
            }
            .burger-btn {
                width: 25px;
                cursor: pointer;
                height: 17px;
                background: transparent;
                border: none;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                align-items: flex-end;
                @media screen and (min-width: $tablet) {
                    display: none;
                }
                span:nth-child(2) {
                    width: 50%;
                    opacity: 1;
                }
                &.isOpen {
                    span:nth-child(1) {
                        width: 100%;
                        transform: translateY(7px) rotate(45deg);
                    }
                    span:nth-child(2) {
                        opacity: 0;
                    }
                    span:nth-child(3) {
                        width: 100%;
                        transform: translateY(-8px) rotate(-45deg);
                    }
                }

                span {
                    height: 2px;
                    background: $fontLightColor;
                    border-radius: 10px;
                    transition: opacity 0.3s ease, transform 0.2s ease;
                }

                span:nth-child(1) {
                    width: 100%;
                }

                span:nth-child(2) {
                    width: 50%;
                    opacity: 1;
                }

                span:nth-child(3) {
                    width: 75%;
                }

                &.isOpen {
                    span:nth-child(1) {
                        width: 100%;
                        transform: translateY(7px) rotate(45deg);
                    }

                    span:nth-child(2) {
                        opacity: 0;
                    }

                    span:nth-child(3) {
                        width: 100%;
                        transform: translateY(-8px) rotate(-45deg);
                    }
                }
            }
        }
    }
}
